/***************************************************************************//**
  @ingroup ltimer_port_aarch64_lchip_gtim
  @file ports/aarch64_lchip_gtim/lclock.c
    Файл содержит реализацию порта для процессоров архитектуры AARCH64 
    на базе стандартного таймера gtim.
    Порт использует определения регистров из библиотеки chip
  @author Borisov Alexey <borisov@lcard.ru>
 ******************************************************************************/

#include "chip.h"
#include "lclock_arch.h"

#ifndef CHIP_CLK_GTIM_FREQ
t_lclock_ticks g_lclock_tiks_per_sec;
#endif

void lclock_init_val(t_lclock_ticks init_val) {
#ifndef CHIP_CLK_GTIM_FREQ
    g_lclock_tiks_per_sec = chip_gtim_freq();
#endif
}

t_lclock_ticks lclock_get_ticks(void) {
    return chip_gtim_cntr();
}

char lclock_is_initialized(void) {
#ifndef CHIP_CLK_GTIM_FREQ
    return g_lclock_tiks_per_sec > 0;
#else
    return 1;
#endif
}

void lclock_disable(void) {

}
